from Globals import InitializeClass
from Products.Archetypes.Widget import ImageWidget
from Products.Archetypes.Registry import registerWidget,registerPropertyType
from AccessControl import ClassSecurityInfo

class NewImageWidget(ImageWidget):
    _properties = ImageWidget._properties.copy()
    _properties.update(
         {
          'macro' : 'new_image',
	 }
    )

    security = ClassSecurityInfo()
    

registerWidget(NewImageWidget,
               title='Image',
               description=('Insert an image'),
               used_for=('Products.Archetypes.public.ImageField',)
               )

